import React, {useState, useEffect} from 'react';
import './App.css';
import Start from './components/Start/Start';
import Second from './components/Second/Second';
import Tinder from './components/Tinder/Tinder';
import Map from './components/Map/Map';
import axios from 'axios';

function App() {

  const options = {
    method: 'GET',
    url: 'https://easytravel.zetcraft.ru/v1/GetAllCards'
  };
  
  const [buttonValue, setButtonValue] = useState("");
  const [fetchData, setFetchData] = useState([]);

  const handleButtonValue = (value) => {
    setButtonValue(value);
  };

  useEffect(() => {
    axios.request(options).then(function (response) {
      console.log(response.data);
      fetchData.push(response.data);
      console.log(fetchData);
    }).catch(function (error) {
      console.error(error);
      return null;
    });
  });

  let content = null;
  switch (buttonValue) {
    case '/':
      content = <Second getValue={handleButtonValue}/>
      break;
    case '/tinder':
      content = <Tinder getValue={handleButtonValue} cardData={fetchData}/>
      break;
    case '/map':
      content = <Map/>
      break;
    default: content = <Start getValue={handleButtonValue}/>
  }

  return (
    <div className="App">
      {content}
    </div>
  );
}

export default App;
